cURL
curl --request GET \
--url https://app.teable.ai/api/base/%7BbaseId%7D/authority-matrix-role/%7BauthorityMatrixRoleId%7D \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"id": "<string>",
"name": "<string>",
"baseId": "<string>",
"createdTime": "<string>",
"tables": [
{
"authorityMatrixRoleId": "<string>",
"tableId": "<string>",
"createdTime": "<string>",
"disabledActions": [
"<string>"
],
"enabledViewIds": [
"<string>"
],
"fieldRecordPermission": [
{
"fieldId": "<string>",
"disabledActions": [
"<string>"
]
}
],
"recordFilter": {},
"enabledTime": "<string>"
}
],
"description": "<string>",
"enabledTime": "<string>",
"nodes": [
{
"authorityMatrixRoleId": "<string>",
"nodeId": "<string>",
"id": "<string>",
"enabledTime": "<string>",
"createdTime": "<string>"
}
],
"users": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>",
"avatar": "<string>"
}
],
"departments": [
{
"id": "<string>",
"name": "<string>"
}
]
}authority-matrix
Get base authority matrix role 1
Get authority matrix role
GET
/
base
/
{baseId}
/
authority-matrix-role
/
{authorityMatrixRoleId}
cURL
curl --request GET \
--url https://app.teable.ai/api/base/%7BbaseId%7D/authority-matrix-role/%7BauthorityMatrixRoleId%7D \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"id": "<string>",
"name": "<string>",
"baseId": "<string>",
"createdTime": "<string>",
"tables": [
{
"authorityMatrixRoleId": "<string>",
"tableId": "<string>",
"createdTime": "<string>",
"disabledActions": [
"<string>"
],
"enabledViewIds": [
"<string>"
],
"fieldRecordPermission": [
{
"fieldId": "<string>",
"disabledActions": [
"<string>"
]
}
],
"recordFilter": {},
"enabledTime": "<string>"
}
],
"description": "<string>",
"enabledTime": "<string>",
"nodes": [
{
"authorityMatrixRoleId": "<string>",
"nodeId": "<string>",
"id": "<string>",
"enabledTime": "<string>",
"createdTime": "<string>"
}
],
"users": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>",
"avatar": "<string>"
}
],
"departments": [
{
"id": "<string>",
"name": "<string>"
}
]
}Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Successful response
Last modified on March 5, 2026
Was this page helpful?
⌘I

